<p align="center">
Translations <br>
<a href=https://github.com/Ciphey/Ciphey/tree/master/translations/de/CONTRIBUTING.md>🇩🇪 DE   </a>
<a href=https://github.com/Ciphey/Ciphey/tree/master/translations/de/CONTRIBUTING.md>🇬🇧 EN   </a>
<a href=https://github.com/Ciphey/Ciphey/tree/master/translations/hu/CONTRIBUTING.md>🇭🇺 HU   </a>
<a href=https://github.com/Ciphey/Ciphey/tree/master/translations/id/CONTRIBUTING.md>🇮🇩 ID   </a>
<a href=https://github.com/Ciphey/Ciphey/tree/master/translations/it/CONTRIBUTING.md>🇮🇹 IT   </a>
<a href=https://github.com/Ciphey/Ciphey/tree/master/translations/nl/CONTRIBUTING.md>🇳🇱 NL   </a>
<a href=https://github.com/Ciphey/Ciphey/tree/master/translations/pt-br/CONTRIBUTING.md>🇧🇷 PT-BR   </a>
<a href=https://github.com/Ciphey/Ciphey/tree/master/translations/ru/CONTRIBUTING.md>🇷🇺 RU   </a>
<a href=https://github.com/Ciphey/Ciphey/tree/master/translations/zh/CONTRIBUTING.md>🇨🇳 ZH   </a>
</p>

Привет!

Итак, вы заинтересованы в том, чтобы внести свой вклад в Ciphey? 🤔

Может быть, ты не совсем уверен, с чего начать. Или, может быть, вы считаете, что ваши навыки программирования "недостаточно хороши". Что касается последнего - полная чушь! Мы совсем не против "плохого кода". Кроме того, то, что вы читаете этот документ, говорит о том, что вы отличный программист. Ведь в проектах GitHub участвует очень мало новичков. 😉.

Вот несколько способов, которыми вы можете внести свой вклад:

- Добавить новый язык 🧏
- Добавьте больше методов шифрования
- Доработать документацию (очень важно! Мы будем бесконечно благодарны)
- Исправить ошибки, представленные через GitHub issues (мы можем поддержать вас в этом 😊)
- Рефакторинг нашей кодовой базы 🥺

Если все это кажется сложным, не волнуйтесь! В этом документе вы узнаете, как достичь любой из этих целей. Кроме того, ваше имя будет добавлено в список соавторов Ciphey, и мы будем вам бесконечно благодарны! 🙏

У нас есть небольшой чат Discord, где вы можете пообщаться с разработчиками и получить помощь. Кроме того, вы можете написать GitHub issue в отношении вашего предложения. Если вы хотите, чтобы вас добавили в Discord, напишите нам DM или попросите нас как-то иначе.

[Discord Server](https://discord.gg/KfyRUWw)

# Как внести вклад

Ciphey всегда нуждается в новых инструментах расшифровки! Чтобы узнать, как интегрировать код в Ciphey, посмотрите:

- <https://github.com/Ciphey/Ciphey/wiki/Adding-your-own-ciphers> - простое руководство
- <https://github.com/Ciphey/Ciphey/wiki/Extending-Ciphey> - справка по API

Было бы неплохо, если бы вы написали несколько тестов для своего кода. Это очень просто: скопируйте функцию в **Ciphey/tests/test_main.py** и замените шифрованный текст на что-то, закодированное вашим шифром. Если вы не добавите тесты, мы, вероятно, все равно примем ваш код, но нам будет гораздо труднее диагностировать ошибки!

Само собой разумеется, что мы добавим вас в список участниуов за вашу тяжелую работу!

## Добавить новый язык 🧏

Стандартная программа проверки языка, `brandon`, работает с несколькими языками. Это может показаться сложным.
Но, честно говоря, все, что вам нужно сделать, это взять словарь, сделать небольшой анализ (мы написали код, чтобы помочь вам в этом), добавить словари и анализ в репозиторий. А затем добавить опцию в `settings.yml`.

## Доработать документацию

Документация - самая важная часть Ciphey. Отсутствие документации - это огромный технический долг кода, а мы хотим этого избежать.

Поверьте мне, когда я говорю, что если вы внесете свой вклад в создание отличной документации, вас будут воспринимать на том же уровне, что и авторов кода. Документация абсолютно необходима.

Существует множество способов добавления документации.

- Строки документации в коде
- Улучшение нашей текущей документации (README, этот файл, наши страницы Ciphey Wiki)
- Перевод документации

И многое другое!

# Исправление ошибок

Посетите нашу страницу проблем на GitHub, чтобы посмотреть все известные ошибки, которые есть в Ciphey! Исправьте их, и вы будете добавлены в список соавторов. ;)

# Рефакторинг кодовой базы

Не весь Ciphey следует PEP8, и часть кода повторяется.
