---
title: Exploit Search
weight: 200
---

# Exploit Search

## Offline

### searchsploit [^searchsploit]

{{<note>}}
Periodically update the database with `searchsploit -u`.
{{</note>}}

Search vulnerabilities based on a Nmap's XML result.
```sh
searchsploit --nmap nmap.xml
```

Basic search and copy the exploit the current directory.
For more examples, see the [manual](https://www.exploit-db.com/searchsploit).
```sh
searchsploit afd windows local
searchsploit -m 39446
```

{{<details "Parameters">}}
- `-u`: Check for and install any exploitdb package updates.
- `-m`: Copies  an exploit to the current working directory.
- `--nmap <xml file>`: Checks all results in Nmap's XML output with service version.
{{</details>}}

### MSFConsole [^msfconsole]

For more options, see the [manual](https://www.offensive-security.com/metasploit-unleashed/msfconsole-commands/#search).
```sh
msf> search cve:2011 port:135 platform:windows target:XP
```

{{<details "Search Keywords">}}
- `app`:  Modules that are client or server attacks
- `author`:  Modules written by this author
- `bid`:  Modules with a matching Bugtraq ID
- `cve`:  Modules with a matching CVE ID
- `edb`:  Modules with a matching Exploit-DB ID
- `name`:  Modules with a matching descriptive name
- `platform`:  Modules affecting this platform
- `ref`:  Modules with a matching ref
- `type`:  Modules of a specific type (exploit, auxiliary, or post)
{{</details>}}

## Online

1. [Google](https://www.google.com): `<service> <version> exploit`
1. [Exploit Database](https://www.exploit-db.com/)
1. [Rapid7 Vulnerability & Exploit Database ](https://www.rapid7.com/db/)
1. [Vulners Database](https://vulners.com/search?query=order:published)
1. [Sploitus](https://sploitus.com/)
1. [Shodan Exploits](https://exploits.shodan.io/welcome)
1. [PacketStorm](https://packetstormsecurity.com/)

[^searchsploit]: “Exploit Database SearchSploit Manual.” Exploit Database - Exploits for Penetration Testers, Researchers, and Ethical Hackers, https://www.exploit-db.com/searchsploit.
[^msfconsole]: “Msfconsole - Metasploit Unleashed.” Infosec Training and Penetration Testing | Offensive Security, https://www.offensive-security.com/metasploit-unleashed/msfconsole/.
